---
id: cli-engine-rn-electron
title: undefined CLI Reference
sidebar_label: undefined
---




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## run

> Run your app on target device or emulator

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv run
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform

`-t`, `--target` - select specific Target device/simulator

`-d`, `--device` - select connected Device

`--hosted` - Run in a hosted environment (skip budleAssets)

`-P`, `--port` - custom Port

`-D`, `--debug` - enable or disable remote debugger.

`--debugIp` - (optional) overwrite the ip to which the remote debugger will connect

`--skipTargetCheck` - Skip Android target check, just display the raw adb devices to choose from

`-H`, `--host` - custom Host ip




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## package

> Package source files into bundle

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv package
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## build

> Build project binary

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv build
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## configure

> Configure current project

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv configure
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## start

> Starts bundler / server

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv start
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## export

> Export the app into deployable binary

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv export
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## deploy

> Deploy the binary via selected deployment intgeration or buld hook

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv deploy
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)

`-r`, `--reset` - also perform reset of platform build

`-R`, `--resetHard` - also perform reset of platform platform and platform assets

`-e`, `--engine` - engine to be used (next)

`-a`, `--resetAssets` - also perform reset of platform assets

`-c`, `--appConfigID` - select specific app Config id

`-s`, `--scheme` - select build Scheme

`-p`, `--platform` - select specific Platform




---

This command reference applies if your platform uses engine `engine-rn-electron`.

More info at [undefined Guide](engine-rn-electron.md)

---

## debug

> Debug your app on target device or emulator

Supported Platforms:

`macos`, `windows`

Example:

```bash
rnv debug
```

Options:

`-i`, `--info` - Show full debug Info

`--ci` - CI/CD flag so it wont ask questions

`--mono` - Monochrome console output without chalk

`--maxErrorLength` - Specify how many characters each error should display. Default 200

`-o`, `--only` - run Only top command (Skip dependencies)


test